足球赛程

GETPOST 热榜资讯

查询足球赛程和比分,覆盖英超/西甲/意甲/德甲/法甲/中超/欧冠等主流联赛

GET https://api.tinyaii.cn/v1/football

请求参数

参数名类型必填说明示例
leaguestring可选联赛筛选(如 英超/西甲/中超/欧冠),不传返回所有英超

返回字段

字段类型说明
countnumber比赛总数
matchesarray比赛列表
matches[].leaguestring联赛中文名
matches[].statusstring比赛状态(未开始/进行中/已结束)
matches[].start_timestring开赛时间(北京时间)
matches[].roundstring轮次
matches[].home/awayobject主队/客队信息
matches[].home.namestring队名
matches[].home.scorestring进球数
matches[].half_time_scorestring半场比分

返回示例

{
  "code": 200,
  "message": "success",
  "data": {
    "count": 2,
    "matches": [
      {
        "league": "西甲",
        "status": "已结束",
        "start_time": "2026-05-15 03:30",
        "home": {
          "name": "皇家马德里",
          "abbr": "RMA",
          "score": "2"
        },
        "away": {
          "name": "奥维多",
          "abbr": "RVO",
          "score": "0"
        },
        "half_time_score": "1-1:0-0",
        "round": "36"
      }
    ]
  }
}

调用示例

curl "https://api.tinyaii.cn/v1/football?league=英超" \
  -H "Authorization: Bearer YOUR_API_KEY"
const res = await fetch("https://api.tinyaii.cn/v1/football?league=英超", {
  headers: { "Authorization": "Bearer YOUR_API_KEY" },
});
console.log(await res.json());
import requests

resp = requests.get(
    "https://api.tinyaii.cn/v1/football",
    params={"league": "英超"},
    headers={"Authorization": "Bearer YOUR_API_KEY"},
    timeout=10,
)
print(resp.json())

把 YOUR_API_KEY 换成你的密钥即可直接运行。密钥只保存在你自己的设备上。